SDL_CreateMutex(3)

NAME
SDL_CreateMutex - Create a mutex

SYNOPSIS

#include "SDL.h" #include "SDL_thread.h"

SDL_mutex *SDL_CreateMutex(void);

DESCRIPTION

Create a new, unlocked mutex.

EXAMPLES

SDL_mutex *mut;
mut=SDL_CreateMutex();
.
.
if(SDL_mutexP(mut)==-1){
  fprintf(stderr, "Couldn't lock mutex
");
  exit(-1);
}
.
/* Do stuff while mutex is locked */
.
.
if(SDL_mutexV(mut)==-1){
  fprintf(stderr, "Couldn't unlock mutex
");
  exit(-1);
}
SDL_DestroyMutex(mut);

SEE ALSO

SDL_mutexP, SDL_mutexV, SDL_DestroyMutex